Skip to content
Back to top
View this page

# InlineQueryResultGame

class telegram.InlineQueryResultGame(id, game_short_name, reply_markup=None, *, api_kwargs=None)

  Bases: `telegram.InlineQueryResult`

  Represents a `telegram.Game`.

  Use In

  - `telegram.Bot.answer_inline_query()`

  - `telegram.Bot.answer_web_app_query()`

  - `telegram.Bot.save_prepared_inline_message()`

  Parameters:

    - id (`str`) – Unique identifier for this result, `1`- `64` Bytes.

    - game_short_name (`str`) – Short name of the game.

    - reply_markup (`telegram.InlineKeyboardMarkup`, optional) – Inline keyboard attached to the message.

  type

    `'game'`.

    Type:

      `str`

  id

    Unique identifier for this result, `1`- `64` Bytes.

    Type:

      `str`

  game_short_name

    Short name of the game.

    Type:

      `str`

  reply_markup

    Optional. Inline keyboard attached to the message.

    Type:

      `telegram.InlineKeyboardMarkup`